extends Node

var config = GlobalConfig.new()


func get_data_res() -> Resource:
	return config


func load_data_res(data: Resource) -> void:
	var new_config = data as GlobalConfig
	config.game_total_seconds = new_config.game_total_seconds
	config.game_rounds = new_config.game_rounds
	config.current_selected_save = new_config.current_selected_save
	config.auto_save_seconds = new_config.auto_save_seconds
